NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Drawings.GeneralViewStyle Class Reference

Represents set of General View Styles Preferences applicable to drafting views. More...

Inheritance diagram for NXOpen.Drawings.GeneralViewStyle:
NXOpen.Utilities.NXRemotableObject NXOpen.Preferences.IGeneralViewPreferences IMessageSink

Public Member Functions

unsafe void SetCenterlines (bool centerlines)
 The status of center line, if true automatically creates linear, cylindrical, and bolt circle centerlines (with a circular instance set) for views where the hole or pin axis is perpendicular or parallel to the plane of the drawing view. More...
 
unsafe void SetFramebarHorizontal (bool framebarHorizontal)
 The status of framebar horizontal, if true automatically creates horizontal framebar for views where the view axis match with ship axis. More...
 
unsafe void SetFramebarVertical (bool framebarVertical)
 The status of framebar vertical, if true automatically creates vertical framebar for views where the view axis match with ship axis. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double Angle [get, set]
 Returns or sets the value of angle of a member view. More...
 
unsafe
NXOpen.Preferences.DecimalPointCharacter 
AngleDecimalPointFormat [get, set]
 Returns or sets the decimal point character to use for view angle display. More...
 
unsafe
NXOpen.Preferences.AngleFormat 
AngleFormat [get, set]
 Returns or sets the format to use for view angle display. More...
 
unsafe int AnglePrecision [get, set]
 Returns or sets the precision to use for view angle display. More...
 
unsafe NXOpen.Scalar AssociativeAngle [get, set]
 Returns or sets the value of angle of a member view. More...
 
unsafe bool AutomaticAnchorPoint [get, set]
 Returns or sets the status of Automatic Anchor Point. More...
 
unsafe bool AutomaticUpdate [get, set]
 Returns or sets the status of Automatic update, if true then position, hidden lines, silhouettes, view bounds, section views, and section view details updated after a model change else the above items are not updated after a model change. More...
 
unsafe bool BoundaryStatus [get, set]
 Returns or sets the boundary status. More...
 
unsafe
NXOpen.Preferences.GeneralDisplayIdOption 
DisplayId [get, set]
 Returns or sets the display identifier option for a member view. More...
 
unsafe NXOpen.Expression ExpressionForScale [get, set]
 Returns or sets the expression for scale More...
 
unsafe
NXOpen.Preferences.GeneralExtractedEdgesOption 
ExtractedEdges [get, set]
 Returns or sets the extracted edge, that provides an alternative way to display model geometry in a drawing view. More...
 
unsafe bool LegacyView [get, set]
 Returns or sets the leagcy view toggle on the GENERAL tab of the View Style Dialog More...
 
unsafe bool LightweightView [get, set]
 Returns or sets the view representation enum on the GENERAL tab of the View Style Dialog More...
 
unsafe
NXOpen.Preferences.GeneralViewLockmethodOption 
LockmethodView [get, set]
 Returns or sets the lock method setting on the Configuration tab of the View Style Dialog More...
 
unsafe bool Reference [get, set]
 Returns or sets the status of reference, that toggles a view from active to reference. More...
 
unsafe int RenderCount [get, set]
 Returns or sets the render count. More...
 
unsafe double Scale [get, set]
 Returns or sets the scale of a member view. More...
 
unsafe bool ScaleLabel [get, set]
 Returns or sets the display of scale label. More...
 
unsafe bool ShowAngleLeadingZeros [get, set]
 Returns or sets the status of leading zeros display in view angle. More...
 
unsafe bool ShowAngleTrailingZeros [get, set]
 Returns or sets the status of trailing zeros display in view angle. More...
 
unsafe bool Silhouettes [get, set]
 Returns or sets the status of silhouettes curves, if true silhouettes for selected drawing member views added else silhouettes removed from the selected member views. More...
 
unsafe bool SnapshotView [get, set]
 Returns or sets the snapshot toggle on the GENERAL tab of the View Style Dialog More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe double Tolerance [get, set]
 Returns or sets the value of tolerance, that specifies a chord height tolerance value for silhouette and hidden line generation in a given drawing view. More...
 
unsafe bool UvGrid [get, set]
 Returns or sets the status of UV grid, if true, grid curves for selected drawing member views are added else the grid curves are removed from the selected member views. More...
 
unsafe bool ViewLabel [get, set]
 Returns or sets the display of view label. More...
 
unsafe
NXOpen.Preferences.GeneralViewQualityOption 
ViewQuality [get, set]
 Returns or sets the view quality, that provides an alternative way to display model geometry in a drawing view. More...
 
unsafe
NXOpen.Preferences.GeneralViewRepresentationOption 
ViewRepresentation [get, set]
 Returns or sets the view representation enum on the GENERAL tab of the View Style Dialog More...
 
unsafe
NXOpen.Preferences.GeneralWireframeColorSourceOption 
WireframeColorSource [get, set]
 Returns or sets the source of the wireframe color for a member view. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents set of General View Styles Preferences applicable to drafting views.

To obtain an instance of this class use Drawings.ViewStyle.General

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.Drawings.GeneralViewStyle.SetCenterlines ( bool  centerlines)
inline

The status of center line, if true automatically creates linear, cylindrical, and bolt circle centerlines (with a circular instance set) for views where the hole or pin axis is perpendicular or parallel to the plane of the drawing view.

Created in NX5.0.0

License requirements: drafting ("DRAFTING")

Parameters
centerlines
unsafe void NXOpen.Drawings.GeneralViewStyle.SetFramebarHorizontal ( bool  framebarHorizontal)
inline

The status of framebar horizontal, if true automatically creates horizontal framebar for views where the view axis match with ship axis.

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
framebarHorizontal
unsafe void NXOpen.Drawings.GeneralViewStyle.SetFramebarVertical ( bool  framebarVertical)
inline

The status of framebar vertical, if true automatically creates vertical framebar for views where the view axis match with ship axis.

Created in NX8.0.0

License requirements: drafting ("DRAFTING")

Parameters
framebarVertical

Property Documentation

unsafe double NXOpen.Drawings.GeneralViewStyle.Angle
getset

Returns or sets the value of angle of a member view.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.DecimalPointCharacter NXOpen.Drawings.GeneralViewStyle.AngleDecimalPointFormat
getset

Returns or sets the decimal point character to use for view angle display.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.AngleFormat NXOpen.Drawings.GeneralViewStyle.AngleFormat
getset

Returns or sets the format to use for view angle display.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.GeneralViewStyle.AnglePrecision
getset

Returns or sets the precision to use for view angle display.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Scalar NXOpen.Drawings.GeneralViewStyle.AssociativeAngle
getset

Returns or sets the value of angle of a member view.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.AutomaticAnchorPoint
getset

Returns or sets the status of Automatic Anchor Point.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.AutomaticUpdate
getset

Returns or sets the status of Automatic update, if true then position, hidden lines, silhouettes, view bounds, section views, and section view details updated after a model change else the above items are not updated after a model change.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.BoundaryStatus
getset

Returns or sets the boundary status.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralDisplayIdOption NXOpen.Drawings.GeneralViewStyle.DisplayId
getset

Returns or sets the display identifier option for a member view.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Expression NXOpen.Drawings.GeneralViewStyle.ExpressionForScale
getset

Returns or sets the expression for scale

Created in NX5.0.0

License requirements to get this property: drafting ("DRAFTING")

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralExtractedEdgesOption NXOpen.Drawings.GeneralViewStyle.ExtractedEdges
getset

Returns or sets the extracted edge, that provides an alternative way to display model geometry in a drawing view.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.LegacyView
getset

Returns or sets the leagcy view toggle on the GENERAL tab of the View Style Dialog

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.LightweightView
getset

Returns or sets the view representation enum on the GENERAL tab of the View Style Dialog

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralViewLockmethodOption NXOpen.Drawings.GeneralViewStyle.LockmethodView
getset

Returns or sets the lock method setting on the Configuration tab of the View Style Dialog

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.Reference
getset

Returns or sets the status of reference, that toggles a view from active to reference.

If true, the view is considered a reference view.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.GeneralViewStyle.RenderCount
getset

Returns or sets the render count.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.GeneralViewStyle.Scale
getset

Returns or sets the scale of a member view.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.ScaleLabel
getset

Returns or sets the display of scale label.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.ShowAngleLeadingZeros
getset

Returns or sets the status of leading zeros display in view angle.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.ShowAngleTrailingZeros
getset

Returns or sets the status of trailing zeros display in view angle.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.Silhouettes
getset

Returns or sets the status of silhouettes curves, if true silhouettes for selected drawing member views added else silhouettes removed from the selected member views.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.SnapshotView
getset

Returns or sets the snapshot toggle on the GENERAL tab of the View Style Dialog

Created in NX8.0.0

Deprecated in NX11.0.1. Use NXOpen.Drawings.GeneralViewStyle.LockmethodView instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

Tag NXOpen.Drawings.GeneralViewStyle.Tag
get

Returns the tag of this object.

unsafe double NXOpen.Drawings.GeneralViewStyle.Tolerance
getset

Returns or sets the value of tolerance, that specifies a chord height tolerance value for silhouette and hidden line generation in a given drawing view.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.UvGrid
getset

Returns or sets the status of UV grid, if true, grid curves for selected drawing member views are added else the grid curves are removed from the selected member views.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.GeneralViewStyle.ViewLabel
getset

Returns or sets the display of view label.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralViewQualityOption NXOpen.Drawings.GeneralViewStyle.ViewQuality
getset

Returns or sets the view quality, that provides an alternative way to display model geometry in a drawing view.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralViewRepresentationOption NXOpen.Drawings.GeneralViewStyle.ViewRepresentation
getset

Returns or sets the view representation enum on the GENERAL tab of the View Style Dialog

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralWireframeColorSourceOption NXOpen.Drawings.GeneralViewStyle.WireframeColorSource
getset

Returns or sets the source of the wireframe color for a member view.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.